Package org.jbpm.runtime.manager.impl.jpa

## Class TimerMappingInfo

- java.lang.Object
- - org.jbpm.runtime.manager.impl.jpa.TimerMappingInfo

- All Implemented Interfaces:
    `Serializable`

      @Entity
      public class TimerMappingInfo
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TimerMappingInfo()` |
    `TimerMappingInfo​(long timerId, String externalTimerId, long kieSessionId, String uuid)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `String` | `getExternalTimerId()` |
    `Long` | `getId()` |
    `byte[]` | `getInfo()` |
    `long` | `getKieSessionId()` |
    `long` | `getTimerId()` |
    `String` | `getUuid()` |
    `int` | `hashCode()` |
    `void` | `setExternalTimerId​(String externalTimerId)` |
    `void` | `setId​(Long id)` |
    `void` | `setInfo​(byte[] info)` |
    `void` | `setKieSessionId​(long kieSessionId)` |
    `void` | `setTimerId​(long timerId)` |
    `void` | `setUuid​(String uuid)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TimerMappingInfo

          public TimerMappingInfo()

    - #### TimerMappingInfo

          public TimerMappingInfo​(long timerId,
                                  String externalTimerId,
                                  long kieSessionId,
                                  String uuid)

  - ### Method Detail

    - #### getUuid

          public String getUuid()

    - #### setUuid

          public void setUuid​(String uuid)

    - #### getId

          public Long getId()

    - #### setId

          public void setId​(Long id)

    - #### getExternalTimerId

          public String getExternalTimerId()

    - #### setExternalTimerId

          public void setExternalTimerId​(String externalTimerId)

    - #### getKieSessionId

          public long getKieSessionId()

    - #### setKieSessionId

          public void setKieSessionId​(long kieSessionId)

    - #### getTimerId

          public long getTimerId()

    - #### setTimerId

          public void setTimerId​(long timerId)

    - #### getInfo

          public byte[] getInfo()

    - #### setInfo

          public void setInfo​(byte[] info)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`